## ros-melodic-kobuki-dock-drive 0.7.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 3.0.2)
project(kobuki_dock_drive)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
        ecl_build
        ecl_threads
        ecl_geometry
        ecl_linear_algebra
)

##############################################################################
# Exports
##############################################################################

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES kobuki_dock_drive
   CATKIN_DEPENDS ecl_threads ecl_geometry ecl_linear_algebra
)

##############################################################################
# Project Configuration
##############################################################################

ecl_enable_cxx11_compiler()
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Sources
##############################################################################

add_library(kobuki_dock_drive src/dock_drive.cpp src/dock_drive_states.cpp src/dock_drive_debug.cpp)
target_link_libraries(kobuki_dock_drive ${catkin_LIBRARIES})

##############################################################################
# Installs
##############################################################################

install(TARGETS kobuki_dock_drive
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-kobuki-dock-drive (0.7.12-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Younghun Ju <yhju@yujinrobot.com>  Wed, 16 Sep 2020 02:10:16 -0000

ros-melodic-kobuki-dock-drive (0.6.2-1stretch) stretch; urgency=high

  * enable the cx11 compiler

 -- Younghun Ju <yhju@yujinrobot.com>  Sat, 09 Jan 2016 05:00:00 -0000

ros-melodic-kobuki-dock-drive (0.6.0-1stretch) stretch; urgency=high

  * Redevelopment of kobuki dock drive algorithm.
  * Contributors: Jihoon Lee

 -- Younghun Ju <yhju@yujinrobot.com>  Mon, 04 Aug 2014 04:00:00 -0000

ros-melodic-kobuki-dock-drive (0.5.3-1stretch) stretch; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-melodic-kobuki-dock-drive (0.5.2-1stretch) stretch; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Sat, 31 Aug 2013 04:00:00 -0000

ros-melodic-kobuki-dock-drive (0.5.1-1stretch) stretch; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-melodic-kobuki-dock-drive (0.5.0-1stretch) stretch; urgency=high

  * Added extra url info on all packages.
  * adds params for kobuki_auto_docking launchers.
  * Changelogs at package level.
  * 32 bit alignment error. Fast fix: just remove the
    eigen-inheritor attribute, as it's not really needed. It was already
    commented in a previous commit; here I just cleanup and provide a
    description of the fix.
    But the fact is that something is wrong on ecl. We keep track on.
  * Fixed Eigenlib alignment error on 32 bit architectures.

 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-melodic-kobuki-dock-drive (0.4.0-1stretch) stretch; urgency=high

  * Add minimum speed parameters: with heavy payloads, at very low speeds, the robot can get stuck easily.
  * Remove motors enabling/disabling, as it can be confusing and it's not particularly useful.

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-kobuki-dock-drive
Section: misc
Priority: optional
Maintainer: Younghun Ju <yhju@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-ecl-build, ros-melodic-ecl-geometry, ros-melodic-ecl-linear-algebra, ros-melodic-ecl-threads
Homepage: http://ros.org/wiki/kobuki_dock_drive
Standards-Version: 3.9.2

Package: ros-melodic-kobuki-dock-drive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ecl-geometry, ros-melodic-ecl-linear-algebra, ros-melodic-ecl-threads
Description: Dock driving library for Kobuki.
 Users owning a docking station for Kobuki can use this tool to develop autonomous docking drive algorithms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-kobuki-dock-drive//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
